import com.kms.katalon.core.logging.KeywordLogger
import com.kms.katalon.core.exception.StepFailedException
import com.kms.katalon.core.reporting.ReportUtil
import com.kms.katalon.core.main.TestCaseMain
import com.kms.katalon.core.testdata.TestDataColumn
import groovy.lang.MissingPropertyException
import com.kms.katalon.core.testcase.TestCaseBinding
import com.kms.katalon.core.driver.internal.DriverCleanerCollector
import com.kms.katalon.core.model.FailureHandling
import com.kms.katalon.core.configuration.RunConfiguration
import static com.kms.katalon.core.testcase.TestCaseFactory.findTestCase
import static com.kms.katalon.core.testobject.ObjectRepository.findTestObject
import static com.kms.katalon.core.testdata.TestDataFactory.findTestData
import internal.GlobalVariable as GlobalVariable

Map<String, String> suiteProperties = new HashMap<String, String>();


suiteProperties.put('id', 'Test Suites/Vendor')

suiteProperties.put('name', 'Vendor')

suiteProperties.put('description', '')
 

DriverCleanerCollector.getInstance().addDriverCleaner(new com.kms.katalon.core.webui.contribution.WebUiDriverCleaner())
DriverCleanerCollector.getInstance().addDriverCleaner(new com.kms.katalon.core.mobile.contribution.MobileDriverCleaner())
DriverCleanerCollector.getInstance().addDriverCleaner(new com.kms.katalon.core.cucumber.keyword.internal.CucumberDriverCleaner())



RunConfiguration.setExecutionSettingFile("/Users/welcome/Documents/ARC/ArcAuto/ARCProject/Reports/Vendor/20190424_115640/execution.properties")

TestCaseMain.beforeStart()

TestCaseMain.startTestSuite('Test Suites/Vendor', suiteProperties, [new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_test', 'Test Cases/TestCasesList/Vendor/TC_test',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V000_Logout ARC page', 'Test Cases/TestCasesList/Vendor/TC_V000_Logout ARC page',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V001_Search vendor by name', 'Test Cases/TestCasesList/Vendor/TC_V001_Search vendor by name',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V002_Search vendor by contact name', 'Test Cases/TestCasesList/Vendor/TC_V002_Search vendor by contact name',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V003_Search vendor by status', 'Test Cases/TestCasesList/Vendor/TC_V003_Search vendor by status',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V004_Search vendor by service type', 'Test Cases/TestCasesList/Vendor/TC_V004_Search vendor by service type',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V005_Search vendor by zipcode', 'Test Cases/TestCasesList/Vendor/TC_V005_Search vendor by zipcode',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V006_Search vendor by city', 'Test Cases/TestCasesList/Vendor/TC_V006_Search vendor by city',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V007_Search vendor by address', 'Test Cases/TestCasesList/Vendor/TC_V007_Search vendor by address',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V008_Search vendor by only main contact', 'Test Cases/TestCasesList/Vendor/TC_V008_Search vendor by only main contact',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V009_User can clear all data in Search box', 'Test Cases/TestCasesList/Vendor/TC_V009_User can clear all data in Search box',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V010_Create new vendor successfully when clicking on Vendor icon at the top', 'Test Cases/TestCasesList/Vendor/TC_V010_Create new vendor successfully when clicking on Vendor icon at the top',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V011_Create new vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V011_Create new vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V012_Validation message when New Vendor is empty', 'Test Cases/TestCasesList/Vendor/TC_V012_Validation message when New Vendor is empty',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V013_Update General Info vendor detail', 'Test Cases/TestCasesList/Vendor/TC_V013_Update General Info vendor detail',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V014_Update rating in vendor detail', 'Test Cases/TestCasesList/Vendor/TC_V014_Update rating in vendor detail',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V015_Update search option in Vendor detail', 'Test Cases/TestCasesList/Vendor/TC_V015_Update search option in Vendor detail',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V016_Update status in vendor detail', 'Test Cases/TestCasesList/Vendor/TC_V016_Update status in vendor detail',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V020_Validation message when New Contact Vendor is empty', 'Test Cases/TestCasesList/Vendor/TC_V020_Validation message when New Contact Vendor is empty',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V021_Create New Contact Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V021_Create New Contact Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V022_Update Contact Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V022_Update Contact Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V023_Set Contact Vendor as default successfully', 'Test Cases/TestCasesList/Vendor/TC_V023_Set Contact Vendor as default successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V024_Delete Contact Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V024_Delete Contact Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V031_Validation message when New Activity Vendor is empty', 'Test Cases/TestCasesList/Vendor/TC_V031_Validation message when New Activity Vendor is empty',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V032_New Task Activity can be added for Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V032_New Task Activity can be added for Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V033_New Follow Up Activity can be added for Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V033_New Follow Up Activity can be added for Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V034_Task Activity can be eidited for Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V034_Task Activity can be eidited for Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V035_Follow Up Activity can be eidited for Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V035_Follow Up Activity can be eidited for Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V036_The Activity of vendor can be closed successfully', 'Test Cases/TestCasesList/Vendor/TC_V036_The Activity of vendor can be closed successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V037_The closed Activity of vendor cannot be editted', 'Test Cases/TestCasesList/Vendor/TC_V037_The closed Activity of vendor cannot be editted',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V038_The Activity can be searched by date', 'Test Cases/TestCasesList/Vendor/TC_V038_The Activity can be searched by date',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V039_1_The Activity can be searched by priority', 'Test Cases/TestCasesList/Vendor/TC_V039_1_The Activity can be searched by priority',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V039_2_The Activity can be searched by status', 'Test Cases/TestCasesList/Vendor/TC_V039_2_The Activity can be searched by status',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V039_3_The Activity can be deleted successfully', 'Test Cases/TestCasesList/Vendor/TC_V039_3_The Activity can be deleted successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V039_4_User can clear all data in Search box of Activity tab', 'Test Cases/TestCasesList/Vendor/TC_V039_4_User can clear all data in Search box of Activity tab',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V039_The Activity can be searched by type', 'Test Cases/TestCasesList/Vendor/TC_V039_The Activity can be searched by type',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V040_Validation message when New Note Vendor is empty', 'Test Cases/TestCasesList/Vendor/TC_V040_Validation message when New Note Vendor is empty',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V041_New Note can be added successfully', 'Test Cases/TestCasesList/Vendor/TC_V041_New Note can be added successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V042_Note can be updated successfully', 'Test Cases/TestCasesList/Vendor/TC_V042_Note can be updated successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V043_Note can be deleted successfully', 'Test Cases/TestCasesList/Vendor/TC_V043_Note can be deleted successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V044_Note can be search by date', 'Test Cases/TestCasesList/Vendor/TC_V044_Note can be search by date',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V045_Note can be search by subject', 'Test Cases/TestCasesList/Vendor/TC_V045_Note can be search by subject',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V046_Note can be search by content', 'Test Cases/TestCasesList/Vendor/TC_V046_Note can be search by content',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V047_New Note can be added successfully when clicking on new note at top', 'Test Cases/TestCasesList/Vendor/TC_V047_New Note can be added successfully when clicking on new note at top',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V048_User can clear all data in Search box of Note tab', 'Test Cases/TestCasesList/Vendor/TC_V048_User can clear all data in Search box of Note tab',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V050_Validation message when New Document Vendor is empty', 'Test Cases/TestCasesList/Vendor/TC_V050_Validation message when New Document Vendor is empty',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V051_New Document can be added for Vendor successfully', 'Test Cases/TestCasesList/Vendor/TC_V051_New Document can be added for Vendor successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V052_Document can be updated successfully', 'Test Cases/TestCasesList/Vendor/TC_V052_Document can be updated successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V053_Document can be deleted successfully', 'Test Cases/TestCasesList/Vendor/TC_V053_Document can be deleted successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V054_Document can be searched by name successfully', 'Test Cases/TestCasesList/Vendor/TC_V054_Document can be searched by name successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V055_Document can be searched by description successfully', 'Test Cases/TestCasesList/Vendor/TC_V055_Document can be searched by description successfully',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V056_User can clear all data in Search box of Document tab', 'Test Cases/TestCasesList/Vendor/TC_V056_User can clear all data in Search box of Document tab',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V060_The History can be searched by date', 'Test Cases/TestCasesList/Vendor/TC_V060_The History can be searched by date',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V061_The History can be searched by type', 'Test Cases/TestCasesList/Vendor/TC_V061_The History can be searched by type',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V062_The History can be searched by description', 'Test Cases/TestCasesList/Vendor/TC_V062_The History can be searched by description',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V063_The History can be searched by user', 'Test Cases/TestCasesList/Vendor/TC_V063_The History can be searched by user',  null), new TestCaseBinding('Test Cases/TestCasesList/Vendor/TC_V064_User can clear all data in Search box of History tab', 'Test Cases/TestCasesList/Vendor/TC_V064_User can clear all data in Search box of History tab',  null)])
